﻿// moon.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <fstream>
#include "datetime.h"



using namespace std;


int skip_col(string, int);

int main()
{
	ifstream data_file;
	data_file.open("./Moon/moon1998.dat");
	if (!data_file.is_open()) {
		cout << "not opened";
		return -1;
	
	}

	string line;
	date line_date;




	getline(data_file, line);
	while (getline(data_file, line)) {

		int year, month, day;

		year = (line[0] - 48) * 1000 + (line[1] - 48) * 100 + (line[2] - 48) * 10 + (line[3] - 48);

		month = (line[4] - 48) * 10 + (line[5] - 48);

		day = (line[6] - 48) * 10 + (line[7] - 48);


		cout << year << "-" << month << "-" << day << '\n';





		line_date = date(year,month,day);

		int el = skip_col(line, 4);
		cout << line <<  '\t' << line_date << '\t' << line[el] << endl;





	}




}

int skip_col(string line, int amount) {
	int i = 0;
	for (int j = 0; j < amount; j++) {
		while (line[i] >= 45 && line[i] <= 57)
			i++;
		while (!(line[i] >= 45 && line[i] <= 57)) {
			i++;
		}
	
	}
	return i;

}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
